ARK(1)

NAME
ark - A KDE archiving tool

SYNOPSIS

ark [--extract--extract-to--add--add-to--guess-name] [folder] [files] [archive] [KDE Generic Options] [Qt Generic Options]

DESCRIPTION

Ark is a program for managing various archive formats within the KDE environment. Archives can be viewed, extracted, created and modified from within Ark. The program can handle various formats such as tar, gzip, bzip2, zip, rar and lha (if appropriate command-line programs are installed). Ark can work closely with Konqueror in the KDE environment to handle archives, if you install the Konqueror Integration plugin available in the kdeaddons package.

OPTIONS

--extract
    Open extract dialog, quit when finished

--extract-to folder archive
    Extract archive to folder. Quit when finished. folder will be created if it does not exist.

--add files
    Ask for the name of the archive to add files to. Quit when finished.

--add-to files archive
    Add files to archive. Quit when finished. archive will be created if it does not exist.

--guess-name folder archive
    Used with --extract-to. When specified, archive will be extracted to a subfolder of folder whose name will be the name of archive without the filename extension.

ENVIRONMENT

$PATH
    The commandline programs to deal with the archives you wish to handle in Ark must be available in your $PATH.

EXAMPLES

ark --extract-to --guess-name . An-Archive.tar.bz2
    Will extract An-Archive.tar.bz2 into a folder named An-Archive in the current directory.

ark --add-to *.jpg pictures.tar.bz2
    Add all files ending in *.jpg to an archive named pictures.tar.bz2, creating it if it doesn't already exist.

SEE ALSO

tar(1), gzip(1), bzip2(1), zip(1), rar(1), lha(1)

More detailed user documentation is available from help:/ark (either enter this URL into Konqueror, or run khelpcenter help:/ark).

AUTHORS

Ark is maintained by Henrique Pinto <stampede@coltec.ufmg.br>

This man page was written by Lauri Watts <lauri@kde.org> for KDE 3.4.

AUTHOR
Lauri Watts.